/* Problem URL: https://codeforces.com/group/SmO1tpanN1/contest/525671/problem/H */

#include <bits/stdc++.h>

using namespace std;

#define V vector

#define rmin(a, b) a = min(a, b)
#define rmax(a, b) a = max(a, b)

#define rep(i, lim) for (int i = 0; i < (lim); i++)
#define nrep(i, s, lim) for (int i = s; i < (lim); i++)

#define repv(i, v) for (auto &i : (v))
#define fillv(v) for (auto &itr_ : (v)) { cin >> itr_; }
#define sortv(v) sort(v.begin(), v.end())
#define all(v) (v).begin(), (v).end()

using vi = vector<int>;
using vvi = vector<vi>;
using vvvi = vector<vvi>;
using vvvvi = vector<vvvi>;

using ll = long long;

using vl = vector<ll>;
using vvl = vector<vl>;
using vvvl = vector<vvl>;
using vvvvl = vector<vvvl>;

template<class v>
auto operator<<(ostream &os, const vector<v> &vec)->ostream& {
    os << vec[0];
    for (size_t i = 1; i < vec.size(); i++) {
        os << ' ' << vec[i];
    }
    os << '\n';
    return os;
}

template<class v>
auto operator>>(istream &is, vector<v> &vec)->istream& {
    for (auto &i : vec) {
        is >> i;
    }
    return is;
}

template<class v>
auto operator<<(ostream &os, const vector<vector<v>> &vec)->ostream& {
    for (auto &i : vec) {
        os << i[0];
        for (size_t j = 1; j < i.size(); j++) {
            os << ' ' << i[j];
        }
        os << '\n';
    }
    return os;
}

template<class v>
auto operator>>(istream  &is, vector<vector<v>> &vec)->istream& {
    for (auto &i : vec) {
        for (auto &j : i) {
            is >> j;
        }
    }
    return is;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    ll n;
    cin >> n;

    vl fds(n);
    repv(i, fds) {
        cin >> i;
    }

    vl points = {0};
    ll count = 0;
    rep(i, n - 1) {
        points.push_back(points.back() + fds[i]);
        count += fds[i];
    }

    n = count + fds.back();
    if (n % 2 == 1) {
        cout << "N\n";
        return 0;
    }

    vl diameter(points.size(), -1);

    rep(i, points.size()) {
        int low = i;
        int high = points.size() - 1;

        while (low <= high) {
            int mid = (low + high) / 2;

            if (points[mid] - points[i] == n / 2) {
                diameter[i] = mid;
                diameter[mid] = i;
                break;
            }

            if (points[mid] - points[i] > n / 2) {
                high = mid - 1;
                continue;
            }

            low = mid + 1;
        }
    }

    V<bool> vis(points.size(), false);
    int c = 0;

    rep(i, points.size()) {
        if (vis[i]) {
            continue;
        }

        if (diameter[i] != -1) {
            vis[i] = true;
            vis[diameter[i]] = true;
            c++;
        }
    }

    cout << (c >= 2 ? "S\n" : "N\n");
}
